'use strict';

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var pSeries = require('p-series');
var resolve = require('../resolve');
var fetchSection = require('../fetchSection');

/**
 * @param {Object} sections - the sections object
 * @param {Object} di - dependency injection
 * @returns {Object} config - returns the contributebuddy config
 **/
function fetchSections(sections, _ref) {
	var _fetchSection = _ref._fetchSection;

	return new Promise(function (pResolve) {
		// in case of there are sections
		if (Object.keys(sections).length <= 0) {
			pResolve({});
			return;
		}

		pSeries(Object.keys(sections).map(function (sectionKey, sectionIndex) {
			return _fetchSection.bind(null, { sections: sections, sectionKey: sectionKey, sectionIndex: sectionIndex });
		})).then(function (sectionsResults) {
			return pResolve(Object.assign.apply(Object, _toConsumableArray(sectionsResults)));
		});
	});
}

module.exports = resolve(fetchSections, { fetchSection: fetchSection });
module.exports.fetchSections = fetchSections;