'use strict';

function _toConsumableArray(arr) { if (Array.isArray(arr)) { for (var i = 0, arr2 = Array(arr.length); i < arr.length; i++) { arr2[i] = arr[i]; } return arr2; } else { return Array.from(arr); } }

var pSeries = require('p-series');
var resolve = require('../resolve');
var fetchTopic = require('../fetchTopic');

/**
 * @param {Object} sectionsObject - the sections object including selected key and index
 * @param {Object} di - dependency injection
 * @returns {Object} config - returns the contributebuddy config
 **/
function fetchTopics(_ref, _ref2) {
	var sections = _ref.sections,
	    sectionKey = _ref.sectionKey,
	    sectionIndex = _ref.sectionIndex;
	var _fetchTopic = _ref2._fetchTopic;

	return new Promise(function (pResolve) {
		// in case of there are no topics in this section
		if (Object.keys(sections[sectionKey].topics).length <= 0) {
			pResolve({});
			return;
		}

		pSeries(Object.keys(sections[sectionKey].topics).map(function (topicKey, topicIndex) {
			return _fetchTopic.bind(null, { sections: sections, sectionKey: sectionKey, sectionIndex: sectionIndex }, { topicKey: topicKey, topicIndex: topicIndex });
		})).then(function (topicsResults) {
			return pResolve(Object.assign.apply(Object, _toConsumableArray(topicsResults)));
		});
	});
}

module.exports = resolve(fetchTopics, { fetchTopic: fetchTopic });
module.exports.fetchTopics = fetchTopics;