'use strict';

var resolve = require('../resolve');
var getConfig = require('../getConfig');

/**
 * @param {string} key - the label key
 * @param {Object} replacement - the replacement object
 * @param {Object} di - dependency injection
 * @returns {Object} config - returns the contributebuddy config
 **/
function getLabel(key, replacement, _ref) {
	var _getConfig = _ref._getConfig;

	var config = _getConfig();

	if (!config || !config.labels || !config.labels[key]) {
		return 'Label with key "' + key + '" not found!';
	}

	var label = config.labels[key];

	Object.keys(replacement).forEach(function (replacementKey) {
		label = label.replace(new RegExp('{' + replacementKey + '}', 'g'), replacement[replacementKey]);
	});

	return label;
}

module.exports = resolve(getLabel, { getConfig: getConfig });
module.exports.getLabel = getLabel;